using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Smuggler
{
    public class Model
    {
        public Mesh[] Meshes { get; }

        public Model(Mesh[] meshes)
        {
            Meshes = meshes;
        }

        public void Draw(GraphicsDevice graphicsDevice, Matrix world, Matrix view, Matrix projection)
        {
            foreach (var mesh in Meshes)
            {
                mesh.Draw(graphicsDevice, world, view, projection);
            }
        }
    }
}
